# Cell tower pick

A decision block that lets the user choose nearby cellular towers.

The fiber will pause until the user has chosen one or more cell towers, cancelled the dialog or the timeout expired.

The initial cell towers input argument can be a single cell, a text of comma separated cells, an array of single cells or a dictionary where each key is a single cell.

### Cell format

A cell is text that begins with a network type followed by one or more optional hexdecimal properties separated by colon:

Network | Properties | Example
--- | --- | ---
CDMA | SID:NID:BID | cdma:43ad:5f3:2da
GSM | LAC:RNC:CID | gsm:ca::427
LTE | TAC:CI:PCI | lte:ca:ca:427
WCDMA | LAC:CID | wcdma:54ae:3d57
UMTS | PSC | umts:503
TD-SCDMA | LAC:CID | tdscdma:54ae:3d57
NR | NCI | nr:3d743a23d

## Input arguments

- Initial cell towers — initially shown and selected cells, even if not nearby, default is none.
- Subscription id — id of subscription (SIM) to scan for cells, default is the system default subscription. (Android 10+)
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Picked cell towers — variable to assign an array of picked cells.